﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	public class Boussoler extends Sprite
	{
		private var col:uint = 40;
		private var line:uint = 60;
		private var clip:Sprite;
		private var angle:Number;
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			var nbrl:Number = stage.stageWidth/col;
			var nbrh:Number = stage.stageHeight/line--;
			for(var i:uint=1;i<line;i++){
				for(var j:uint=0;j<col;j++){
					clip = new Sprite();
					/*clip.graphics.lineStyle(139,0x00ff66,0.02);
					clip.graphics.moveTo(1,-0);
					clip.graphics.lineTo(10,100)
					clip.graphics.lineStyle(100,0xc2ffff,0.09);
					clip.graphics.moveTo(1,-0);
					clip.graphics.lineTo(80,180)
					clip.graphics.lineStyle(39,0xc9c9c9,0.3);
					clip.graphics.moveTo(1,-0);
					clip.graphics.lineTo(110,200);*/
					clip.graphics.beginFill(0x000000,0.5);			
					clip.graphics.drawRect(500,500,80,50);
					clip.graphics.beginFill(Math.random()*0xcccccc,0.5);			
					clip.graphics.drawRect(500,480,50,50);
					
					clip.x = i*nbrl;
					clip.y = j*nbrh-10;
					clip.z = j*nbrh*5;
					addChild(clip);
					clip.addEventListener(Event.ENTER_FRAME,enterHandler);
				}
			}
		}
		
		private function enterHandler(e:Event):void
		{
			angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			e.currentTarget.rotation = angle*10/Math.PI+Math.sin(angle)*180;
			e.currentTarget.scaleY = angle;
		}
	}
}